import AulaController from "../controllers/AulaController.js"
import express from "express"
const router = express.Router();

import AuthMiddleware from "../middlewares/AuthMiddleware.js";
import PermissaoMiddleware from "../middlewares/permissaoMiddleware.js";


router
router.get("/aula", AuthMiddleware, PermissaoMiddleware, AulaController.listarAll)
router.get("/aula/:id", AuthMiddleware, PermissaoMiddleware, AulaController.listarPorID)
router.patch('/aula/:id', AuthMiddleware, PermissaoMiddleware, AulaController.atualizar);
router.post('/aula', AuthMiddleware, PermissaoMiddleware, AulaController.inserir);
router.post('/aula/status', AuthMiddleware, PermissaoMiddleware, AulaController.feito_status)//Falta documentar esse
router.delete('/aula/:id', AuthMiddleware, PermissaoMiddleware, AulaController.deletar)

export default router;