import express from "express";
import TurmaController from "../controllers/turmaController.js";
import AuthMiddleware from "../middlewares/AuthMiddleware.js";
import PermissaoMiddleware from "../middlewares/permissaoMiddleware.js";
const router = express.Router();

/**
 * a turma não tem post nem delete, pq so são 3 turmas e não precissa adicionar nem deletar
 * aqui é o padrão de rotas normais
*/

router
  .get("/turma", AuthMiddleware, PermissaoMiddleware, TurmaController.listar)
  .get("/turma/:id", AuthMiddleware, PermissaoMiddleware, TurmaController.listarPorID)
  .patch("/turma/:id", AuthMiddleware, PermissaoMiddleware, TurmaController.atualizar);

export default router;
