import express from "express";
import loginController from "../controllers/loginController.js";

const router = express.Router();

router
  .post("/login", loginController.logar)
  .post("/logout", loginController.logout)
  .post("/token", loginController.token)


export default router;



