import {z} from 'zod';

class  LoginSchema{

    static login = z.object({
        matricula: z.string().trim().min(1).max(20),
        senha: z.string().trim().min(1).max(200),
    });

    static logout = z.object({
      id: z.number().min(1),
    });

    static token = z.object({
      refresh_token: z.string().min(1),
    });
    
}

export default LoginSchema;